Subject: 11.91; "View" using TeX-sync-view fails

From: "Dr. Michael L. Dowling" <[email-masked]>
Date: Fri, 10 Nov 2017 16:45:51 +0100

The text below was generated by the TeX-submit-bug-report command,
however, I have my doubts as to whether it was sent.  So, at the risk
of repiition, I'm re-sending it with additional attachments, name the
original file (test.tex) and a tar file containing the output.

Yours,

M. Dowling

From: [email-masked] (Dr. Michael Dowling)
To: [email-masked]
Subject: 11.91; "View" using TeX-sync-view fails
Date: Fri, 10 Nov 2017 13:57:24 +0100
Message-ID: <[email-masked]>
--text follows this line--

Remember to cover the basics, that is, what you expected to happen and
what in fact did happen.

Be sure to consult the FAQ section in the manual before submitting
a bug report.  In addition check if the bug is reproducable with an
up-to-date version of AUCTeX.  So please upgrade to the version
available from http://www.gnu.org/software/auctex/ if your
installation is older than the one available from the web site.

If the bug is triggered by a specific (La)TeX file, you should try
to produce a minimal sample file showing the problem and include it
in your report.

Your report will be posted for the auctex package at the GNU bug
tracker.  Visit http://debbugs.gnu.org/cgi/pkgreport.cgi?pkg=auctex
to browse existing AUCTeX bugs.
------------------------------------------------------------------------

Without auctex, I can comiple and view my LaTeX files.
With the single line .emacs file containing

 (load "auctex.el" nil t t)

auctex uses the command TeX-evince-sync-view.  This hangs for a few
seconds, beeps, and issues the message:

D-Bus error: "Message recipient disconnected from message bus without replying"

The *Message* buffer contains

For information about GNU Emacs and the GNU system, type C-h C-a.
Applying style hooks...
Loading /home/mike/tex/linput/auto/test.el (source)...done
Loading /usr/share/emacs/site-lisp/auctex/style/amsart.elc...done
Loading /usr/share/emacs/site-lisp/auctex/style/amsmath.elc...done
Loading /usr/share/emacs/site-lisp/auctex/style/amstext.elc...done
Loading /usr/share/emacs/site-lisp/auctex/style/amsbsy.elc...done
Loading /usr/share/emacs/site-lisp/auctex/style/amsopn.elc...done
Loading /usr/share/emacs/site-lisp/auctex/style/amsthm.elc...done
Loading /usr/share/emacs/site-lisp/auctex/style/babel.elc...done
Loading /usr/share/emacs/site-lisp/auctex/style/german.elc...done
Loading /usr/share/emacs/site-lisp/auctex/style/english.elc...done
Loading /usr/share/emacs/site-lisp/auctex/style/graphicx.elc...done
Applying style hooks...done
Sorting environment...done
Removing duplicates...done
dbus-call-method: D-Bus error: "Message recipient disconnected from message bus without replying"
user-error: No further undo information [2 times]
Mark set

The Linux journal contains

Nov 10 13:30:36 moocow dbus-daemon[1268]: [session uid=149 pid=1268] Activating via systemd: service name='org.gnome.evince.Daemon' unit='evince.service' requested by ':1.173' (uid=149 pid=5468
Nov 10 13:30:36 moocow systemd[1042]: Starting Evince document viewer...
Nov 10 13:30:36 moocow dbus-daemon[1268]: [session uid=149 pid=1268] Successfully activated service 'org.gnome.evince.Daemon'
Nov 10 13:30:36 moocow systemd[1042]: Started Evince document viewer.
Nov 10 13:30:36 moocow evinced[5482]: Unable to init server: Could not connect: Connection refused
Nov 10 13:30:36 moocow evinced[5482]: Cannot parse arguments: Cannot open display:
Nov 10 13:30:46 moocow evinced[5482]: (ev-daemon.c:433):ev_daemon_application_finalize: runtime check failed: (g_hash_table_size (application->pending_invocations) == 0)

So, the *Message* buffer says it's a user error, so this bug report is
probably inappropriate.  But I have spent hours on this, searched the
Internet but am no wiser.  I have renamed init files (.bashrc,
.bash_profile, .emacs) and replaced .emacs with that one liner above.  Auctex
worked for me over the years.  I use Archliux and obtain TeX and Auctex
via pacman.  But then auctex suddenly stopped working

For suggestions I would be truly grateful.

I also have a problem with preview-latex and will make a separate report
for that.

Called on its own without auctex, evince works without problems.

PS.
I don't use a desktop like KDE or gnome, but an old fashioned X windows
manager fvwm.

Emacs  : GNU Emacs 25.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.22.19)
 of 2017-09-16
Package: 11.91

current state:
==============
(setq
 AUCTeX-date "2017-07-24"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("/var/auctex" "/usr/share/emacs/site-lisp/auctex/style"
		  "/home/mike/.emacs.d/auctex/auto" "/home/mike/.emacs.d/auctex/style" "auto" "style")
 TeX-auto-save nil
 TeX-parse-self nil
 TeX-master t
 TeX-command-list '(("TeX" "%(PDF)%(tex) %(file-line-error) %(extraopts) %`%S%(PDFout)%(mode)%' %t"
		     TeX-run-TeX nil (plain-tex-mode ams-tex-mode texinfo-mode) :help "Run plain TeX")
		    ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil (latex-mode doctex-mode) :help "Run LaTeX")
		    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil (texinfo-mode) :help
		     "Run Makeinfo with Info output")
		    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t" TeX-run-compile nil (texinfo-mode)
		     :help "Run Makeinfo with HTML output")
		    ("AmSTeX" "amstex %(PDFout) %(extraopts) %`%S%(mode)%' %t" TeX-run-TeX nil
		     (ams-tex-mode) :help "Run AMSTeX")
		    ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t" TeX-run-TeX nil
		     (context-mode) :help "Run ConTeXt once")
		    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode)
		     :help "Run ConTeXt until completion")
		    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help "Run BibTeX")
		    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
		    ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
		    ("Print" "%p" TeX-run-command t t :help "Print the file")
		    ("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible
		     TeX-queue-command)
		    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t :help "Generate PostScript file")
		    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t :help
		     "Convert DVI file to PostScript")
		    ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil t :help
		     "Convert DVI file to PDF with dvipdfmx")
		    ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help "Convert PostScript file to PDF")
		    ("Glossaries" "makeglossaries %s" TeX-run-command nil t :help
		     "Run makeglossaries to create glossary file")
		    ("Index" "makeindex %s" TeX-run-index nil t :help "Run makeindex to create index file")
		    ("upMendex" "upmendex %s" TeX-run-index t t :help "Run upmendex to create index file")
		    ("Xindy" "texindy %s" TeX-run-command nil t :help "Run xindy to create index file")
		    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help
		     "Check LaTeX file for correctness")
		    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help
		     "Check LaTeX file for common mistakes")
		    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help
		     "Spell-check the document")
		    ("Clean" "TeX-clean" TeX-run-function nil t :help
		     "Delete generated intermediate files")
		    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
		     "Delete generated intermediate and output files")
		    ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )
-- 
Dr. Michael L. Dowling
Gaußstr. 27
38106 Braunschweig
Germany